<?php

class HTML_LabElements
{
	public function __construct()
	{
		HTML_QuickForm2_Factory::registerRule('required', 'HTML_LabData_Rule_Required');

		//HTML_QuickForm2_Factory::registerElement('text', 'HTML_LabData_Element_InputText');
		HTML_QuickForm2_Factory::registerElement('email', 'HTML_LabData_Element_InputEmail');
		//HTML_QuickForm2_Factory::registerElement('submit', 'HTML_LabData_Element_InputSubmit');
		//HTML_QuickForm2_Factory::registerElement('password', 'HTML_LabData_Element_InputPassword');
		//HTML_QuickForm2_Factory::registerElement('select', 'HTML_LabData_Element_Select');
		//HTML_QuickForm2_Factory::registerElement('textarea', 'HTML_LabData_Element_Textarea');
		HTML_QuickForm2_Factory::registerElement('checkbox', 'HTML_LabData_Element_InputCheckbox');

		HTML_QuickForm2_Renderer::register('labsmarty', 'HTML_LabData_Renderer_LabSmarty');
		HTML_QuickForm2_Renderer::register('bootstrap', 'HTML_LabData_Renderer_Bootstrap');
		
		//config::set('core.form_renderer', 'bootstrap');
		config::set('core.form_renderer', 'labsmarty');
	}
}